org.eclipse.january.dataset

## Class Operations.Subtraction

- java.lang.Object
- - org.eclipse.january.dataset.Operations.Subtraction

- All Implemented Interfaces:
    BinaryOperation, IOperation
  Enclosing class:
    Operations

      public static class Operations.Subtraction
      extends Object
      implements BinaryOperation

  Subtraction with boolean or of negated second operand

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.BinaryOperation

      `BinaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operations.Subtraction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a, long b)`
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`
    `long` | `longOperate(long a, long b)`
    `String` | `toString()`
    `String` | `toString(String a, String b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operations.Subtraction

          public Operations.Subtraction()

  - ### Method Detail

    - #### booleanOperate

          public boolean booleanOperate(long a,
                               long b)

      Specified by:
        `booleanOperate` in interface `BinaryOperation`
      Returns:
        a op b

    - #### longOperate

          public long longOperate(long a,
                         long b)

      Specified by:
        `longOperate` in interface `BinaryOperation`
      Returns:
        a op b

    - #### doubleOperate

          public double doubleOperate(double a,
                             double b)

      Specified by:
        `doubleOperate` in interface `BinaryOperation`
      Returns:
        a op b

    - #### complexOperate

          public void complexOperate(double[] out,
                            double ra,
                            double ia,
                            double rb,
                            double ib)

      Specified by:
        `complexOperate` in interface `BinaryOperation`
      Parameters:
        `out` - holds (ra, ia) op (rb, ib)

    - #### toString

          public String toString(String a,
                        String b)

      Specified by:
        `toString` in interface `BinaryOperation`
      Returns:
        string to represent output

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017. All rights reserved.